Get Operation Status
get
/v1/operations/{operation_id}/statusPart of Operations.
Point-in-time status check. Use /stream for real-time updates. Consumes no credits.
Authentication
Authenticate in any one of these ways — not all of them:
- API key in the
X-API-Keyheader. - Bearer token in the
Authorizationheader.
Path parameters
| Name | Type | Description |
|---|---|---|
operation_idrequired | string | Operation identifier |
Example request
curl
curl -X GET "https://api.robosystems.ai/v1/operations/{operation_id}/status" \
-H "X-API-Key: $ROBOSYSTEMS_API_KEY"Responses
200 Successful Response
| Status | Meaning |
|---|---|
| 400 | Invalid request |
| 401 | Authentication required |
| 403 | Access denied |
| 404 | Resource not found |
| 422 | Validation Error |
| 429 | Rate limit exceeded |
| 500 | Internal server error |